<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dayou.mapper.GisUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.dayou.entity.GisUser">
        <result column="id" property="id" />
        <result column="deleted" property="deleted" />
        <result column="created" property="created" />
        <result column="modified" property="modified" />
        <result column="name" property="name" />
        <result column="city_name" property="cityName" />
        <result column="country_name" property="countryName" />
        <result column="account" property="account" />
        <result column="password" property="password" />
        <result column="linkman" property="linkman" />
        <result column="mobile" property="mobile" />
        <result column="email" property="email" />
        <result column="expiry_date" property="expiryDate" />
        <result column="enable" property="enable" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        deleted,
        created,
        modified,
        name, city_name, country_name, account, password, linkman, mobile, email, expiry_date, enable
    </sql>

</mapper>
